Unregister device

View as MarkdownOpen in Claude
Remove a cloud device from an entrypoint.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

Path parameters

deviceIdstringRequired
ID of the cloud device.
entrystringRequired

The paypoint’s entrypoint identifier. Learn more

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

isSuccessbooleanOptional

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

pageIdentifierstringOptional
Auxiliary validation used internally by payment pages and components.
responseDatastringOptional

If isSuccess = true, this contains the device identifier. If isSuccess = false, this contains the reason for the error.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error